<back to all web services

GetProjectsCount

The following routes are available for this service:
GET/RestApi/translations/projects/count
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects;
using Telerik.Sitefinity.Translations.Model;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Response;

namespace Telerik.Sitefinity.Translations.Model
{
    public enum ProjectStatus
    {
        NotStarted,
        Started,
        Completed,
    }

}

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
{
    public partial class GetProjectsCount
        : IProjectsFilter
    {
        public virtual int? Skip { get; set; }
        public virtual int? Take { get; set; }
        public virtual string OrderExpression { get; set; }
        public virtual string SearchText { get; set; }
        public virtual string[] Service { get; set; }
        public virtual ProjectStatus? ProjectStatus { get; set; }
        public virtual string ActualSourceLanguage { get; set; }
        public virtual bool WithoutSourceLanguage { get; set; }
    }

}

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response
{
    public partial class CountProxy
    {
        public virtual int TotalCount { get; set; }
    }

}

C# GetProjectsCount DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/count HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"TotalCount":0}